<div class="display-container collapsable collapsed">
    <div class="header communication-state warning-state format-source" instrument="PurpleAir"></div>

    {% include 'acquisition/display/header_buttons.html' %}

    {% include 'acquisition/display/nocommunication_content.html' %}

    <table class="content display-data column-split communication-state hide-false">
        <thead>
            <tr>
                <th></th>
                <th>A</th>
                <th>B</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>PM2.5 (μg/m³)</td>
                <td class="value-formatted" field="Xa"></td>
                <td class="value-formatted" field="Xb"></td>
            </tr>
            <tr>
                <td>Detector</td>
                <td class="value-formatted" field="IBsa" decimals="0" rightpad="2"></td>
                <td class="value-formatted" field="IBsb" decimals="0" rightpad="2"></td>
            </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <tbody>
            <tr> <td>Scattering (Mm⁻¹)</td>     <td id="{{uid}}_scattering"></td> </tr>
            <tr> <td>Temperature (°C)</td>      <td class="value-formatted" field="T"></td> </tr>
            <tr> <td>Humidity (%)</td>          <td class="value-formatted" field="U" decimals="0" rightpad="2"></td> </tr>
            <tr> <td>Pressure (hPa)</td>        <td class="value-formatted" field="P"></td> </tr>
        </tbody>
    </table>
</div>


<script>
(function() {
    const context = document.getElementById('{{uid}}').context;
    context.standardMode();

    // {{ '\n' }}{% include 'global/calculations/purpleair.js' %}

    let IBsa = undefined;
    let IBsb = undefined;
    const scatteringFormatter = context.createNodeFormatter(document.getElementById('{{uid}}_scattering'));
    context.addSourceTarget((value) => {
        if (value === null || !isFinite(value)) {
            IBsa = undefined;
        } else {
            IBsa = value;
        }
        scatteringFormatter(calculatePurpleAirScattering(IBsa, IBsb));
    }, context.source, 'IBsa');
    context.addSourceTarget((value) => {
        if (value === null || !isFinite(value)) {
            IBsb = undefined;
        } else {
            IBsb = value;
        }
        scatteringFormatter(calculatePurpleAirScattering(IBsa, IBsb));
    }, context.source, 'IBsb');
})();
</script>